package com.yundong.third.easyExcel.listener;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.alibaba.fastjson.JSON;
import com.yundong.third.entity.IssuesListDetail;
import com.yundong.third.entity.IssuesListDetailExcel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class ExcelListener extends AnalysisEventListener<IssuesListDetailExcel> {
    private int successCount = 0;

    private int count = 0;

    private final List<IssuesListDetail> successData = new ArrayList<>();

    private final List<String> failData = new ArrayList<>();

    @Override
    public void invoke(IssuesListDetailExcel issuesListDetailExcel, AnalysisContext analysisContext) {
        //空json直接跳过
        if ("{}".equals(JSON.toJSONString(issuesListDetailExcel))) {
            return;
        }
        log.info("excel导入,解析到一条数据:{}", JSON.toJSONString(issuesListDetailExcel));
        if ("TYPE".equals(issuesListDetailExcel.getTYPE())){
            return;
        }

        successData.add(BeanUtil.copyProperties(issuesListDetailExcel,IssuesListDetail.class));
        count++;
        successCount++;

    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("所有数据解析完成！共" + successCount + "条数据");
    }
}
