package com.yundong.third.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.sql.Date;

/**
 * @author BEJSON
 * @description issues_list_detail
 * @date 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "issues_list_detail")
public class IssuesListDetail implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一主键
     */
    @TableId(value = "id")
    private String id;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 是否删除
     */
    private Long isDeleted;

    /**
     * 流程实例状态 AGREE:已同意 REFUSE:已拒绝 PENDING:审批中 CANCEL:已撤销
     */
    private String bpmInstanceStatus;

    /**
     * 流程实例id
     */
    private String bpmInstanceId;

    /**
     * 问题分类(合同管理 分包管理 采购管理 成本管理 财务管理 物资管理 设备管理 集体决策 作风建设 其他)
     */
    @TableField(value = "TYPE")
    private String TYPE;

    /**
     * 具体问题描述
     */
    @TableField(value = "DESCRIBETEXT")
    private String DESCRIBETEXT;

    /**
     * 发现时间
     */
    @TableField(value = "DISCOVERYTIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date DISCOVERYTIME;

    /**
     * 整改措施
     */
    @TableField(value = "RECTIFICATIONMEASURES")
    private String RECTIFICATIONMEASURES;

    /**
     * 整改完成时间
     */
    @TableField(value = "RECTIFICATIONCOMPLETIONTIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date RECTIFICATIONCOMPLETIONTIME;

    /**
     * 整改进度
     */
    @TableField(value = "RECTIFICATIONPROGRESS")
    private String RECTIFICATIONPROGRESS;

    /**
     * 情况
     */
    @TableField(value = "SITUATION")
    private String SITUATION;

    /**
     * 项目id
     */
    @TableField(value = "PROJECTID")
    private String PROJECTID;

    /**
     * 项目名称
     */
    @TableField(value = "PROJECTNAME")
    private String PROJECTNAME;

    /**
     * 监察员
     */
    @TableField(value = "INSPECTOR")
    private String INSPECTOR;

}