package com.yundong.third.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.sql.Date;

/**
 * @author BEJSON
 * @description issues_list_detail
 * @date 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class IssuesListDetailExcel implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 问题分类(合同管理 分包管理 采购管理 成本管理 财务管理 物资管理 设备管理 集体决策 作风建设 其他)
     */
    @ExcelProperty(value = "问题分类")
    @TableField(value = "TYPE")
    private String TYPE;

    /**
     * 具体问题描述
     */
    @ExcelProperty(value = "具体问题描述")
    @TableField(value = "DESCRIBETEXT")
    private String DESCRIBETEXT;

    /**
     * 发现时间
     */
    @ExcelProperty(value = "发现时间")
    @TableField(value = "DISCOVERYTIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String DISCOVERYTIME;

    /**
     * 整改措施
     */
    @ExcelProperty(value = "整改措施")
    @TableField(value = "RECTIFICATIONMEASURES")
    private String RECTIFICATIONMEASURES;

    /**
     * 整改完成时间
     */
    @ExcelProperty(value = "整改完成时间")
    @TableField(value = "RECTIFICATIONCOMPLETIONTIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String RECTIFICATIONCOMPLETIONTIME;

    /**
     * 整改进度
     */
    @ExcelProperty(value = "整改进度")
    @TableField(value = "RECTIFICATIONPROGRESS")
    private String RECTIFICATIONPROGRESS;

    /**
     * 情况
     */
    @ExcelProperty(value = "情况")
    @TableField(value = "SITUATION")
    private String SITUATION;
}